<script setup>
import GuestLayout from '@/Layouts/GuestLayout.vue';
import InputError from '@/Components/InputError.vue';
import InputLabel from '@/Components/InputLabel.vue';
import PrimaryButton from '@/Components/PrimaryButton.vue';
import TextInput from '@/Components/TextInput.vue';
import { Head, useForm } from '@inertiajs/vue3';

const props = defineProps({
    email: {
        type: String,
        required: true,
    },
    token: {
        type: String,
        required: true,
    },
});

const form = useForm({
    token: props.token,
    email: props.email,
    password: '',
    password_confirmation: '',
});

const submit = () => {
    form.post(route('password.store'), {
        onFinish: () => form.reset('password', 'password_confirmation'),
    });
};

function myFunction(id) {
    var input = document.getElementById(id);
    input.type = (input.type === 'password') ? 'text' : 'password';
}

</script>

<template>

    <Head title="Reset Password" />
   
<GuestLayout> 
                <div class="row justify-content-center">
                    <div class="col-md-8 col-lg-6 col-xl-5">
                        <div class="card mt-4">

                            <div class="card-body p-4">
                                <div class="text-center mt-2">
                                    <h5 class="text-primary">Welcome Back !</h5>
                                    <p class="text-muted">Sign in to continue to Velzon.</p>
                                </div>
                                <div class="p-2 mt-4">
                                    <form @submit.prevent="submit">
                                        <div>
                                            <InputLabel for="email" value="Email" />
                                            <TextInput id="email" type="email" class="mt-1 block w-full form-control"
                                                v-model="form.email"  autofocus autocomplete="username"
                                                placeholder="Enter useremail"  disabled  />

                                            <InputError class="mt-2 text-danger" :message="form.errors.email" />
                                        </div>

                                        <div class="mt-4">
                                            <label class="form-label" for="password-input">Password</label>
                                            <div class="position-relative auth-pass-inputgroup">
                                                <input type="password" class="form-control pe-5 password-input"
                                                    onpaste="return false" placeholder="Enter password"
                                                    id="password-input2" v-model="form.password" />
                                                <button
                                                    class="btn btn-link position-absolute end-0 top-0 text-decoration-none text-muted password-addon"
                                                    type="button" id="password-addon">
                                                    <i class="ri-eye-fill align-middle"
                                                        @click="myFunction('password-input2')"></i>
                                                </button>
                                                <div class="invalid-feedback">
                                                    Please enter password
                                                </div>
                                            </div>
                                            <InputError class="mt-2 text-danger" :message="form.errors.password" />

                                        </div>

                                        <div class="mt-4">
                                            <label class="form-label" for="password-input">Confirm Password</label>
                                            <div class="position-relative auth-pass-inputgroup">
                                                <input type="password" class="form-control pe-5 password-input"
                                                    onpaste="return false" placeholder="Enter password"
                                                    id="password-input1" v-model="form.password_confirmation" />
                                                <button
                                                    class="btn btn-link position-absolute end-0 top-0 text-decoration-none text-muted password-addon"
                                                    type="button" id="password-addon">
                                                    <i class="ri-eye-fill align-middle"
                                                        @click="myFunction('password-input1')"></i>
                                                </button>
                                                <div class="invalid-feedback">
                                                    Please enter password
                                                </div>
                                            </div>
                                            <InputError class="mt-2 text-danger" :message="form.errors.password" />
                                        </div>
                                        <div class="mt-4">
                                            <button class="btn btn-success w-100" type="submit"
                                                :class="{ 'opacity-25': form.processing }" :disabled="form.processing">
                                                Reset Password</button>
                                        </div>

                                    </form>
                                </div>
                            </div>
                            <!-- end card body -->

                            <!-- end card -->
                            <!-- <p class="mb-0">Don't have an account ? <a href="auth-signup-basic.html" class="fw-semibold text-primary text-decoration-underline"> Signup </a> </p> -->
                        </div>

                    </div>
                </div>
               
    </GuestLayout> 
</template>
